# $Revision: 1.6 $, $Date: 2011/02/21 15:39:08 $
%include	/usr/lib/rpm/macros.mono
%define		module	dbus-sharp-glib

Summary:	.NET library for using D-BUS message bus (GLib integration)
Summary(pl.UTF-8):	Biblioteka .NET do używania magistrali przesyłania komunikatów D-BUS z GLib
Name:		dotnet-%{module}
Version:	0.5.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://github.com/downloads/mono/dbus-sharp/%{module}-%{version}.tar.gz
# Source0-md5:	2284293316eb3a89f0f78798b8a24418
Patch0:		%{name}-monodir.patch
#URL:		http://www.ndesk.org/DBusSharp
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dotnet-dbus-sharp-devel >= 1:0.7.0
BuildRequires:	mono-csharp >= 1.1.13
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rpmbuild(monoautodeps)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
.NET library for using D-BUS with GLib.

This code provides GLib main loop integration for Managed D-Bus.

%description -l pl.UTF-8
Biblioteka .NET do używania D-BUS wraz z GLib.

Ten kod udostępnia integrację głównej pętli GLib z Managed D-Bus.

%package devel
Summary:	Development files for ndesk D-BUS GLib .NET library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki .NET ndesk D-BUS GLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-dbus-sharp-devel >= 0.4

%description devel
Development files for ndesk D-BUS GLib .NET library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki .NET ndesk D-BUS GLib.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_prefix}/lib/mono/gac/dbus-sharp-glib
%{_prefix}/lib/mono/dbus-sharp-glib-1.0

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/dbus-sharp-glib-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-dbus-sharp-glib.spec,v $
Revision 1.6  2011/02/21 15:39:08  lisu
- fix install on 64 bits

Revision 1.5  2011/02/21 15:31:29  lisu
- reversed

Revision 1.4  2011/02/21 15:14:43  lisu
- use _libdir

Revision 1.3  2011/02/21 15:09:46  lisu
- BR: dotnet-dbus-sharp-devel >= 1:0.7

Revision 1.2  2011/02/21 15:04:00  lisu
- drop stuff from dotnet-ndesk-dbus-glib-sharp.spec
- adjust Requires in -devel package

Revision 1.1  2011/02/21 14:48:25  lisu
- new, based on dotnet-ndesk-dbus-glib-sharp.spec

